-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_NAME_CLICK XBuffBarButtonToggle:LeftButton"] = "Show/hide XBuffBar";

-- Most of these buffs affect a party.  Some buffs that only affect the caster are included
-- if the class only has a few of them.  Warlocks and Rogues have so many other abilities
-- they will be in a separate bar.

-- Buffs
XBuffBarSpells = {
-- Death Knight
	"#DEATHKNIGHT",
	"^3714",--Path of Frost
	"^48792",--Icebound Fortitude
	"^55233",--Vampiric Blood
	"^57330",--Horn of Winter
	"^51271",--Unbreakable Armor
	"^48707",--Anti-Magic Shell
	"^51052",--Anti-Magic Zone
	"^49222",--Bone Shield
	"^47568",--Empower Rune Weapon
	"^49028",--Dancing Rune Weapon
	"^50977",--Death Gate
	"^77575",--Outbreak
	"^77606",--Dark Simulacrum
	"^49039",--Lichborne
	"^108201",--Desecrated Ground
	"^108199",--Gorefiend's Grasp
	"^108200",--Remorseless Winter
	XBAR_SNOWRAP,
	"^61999",--Raise Ally
	XBAR_SNOWRAP,
	"^46584",--Raise Dead
	"^49206",--Summon Gargoyle
	"^111673",--Control Undead
	"^42650",--Army of the Dead
-- Druid Buffs
	"#DRUID",
	"^1126",--Mark of the Wild
	"^16689",--Nature's Grasp
	"^22812",--Barkskin
	"^102342",--Ironbark
	"^29166",--Innervate
	"^2908",--Soothe
	"^33786",--Cyclone
	"^2637",--Hibernate
	"^88423",--Nature's Cure
	"^2782",--Remove Corruption
	XBAR_SNOWRAP,
	"^78675",--Solar Beam
	"^48505",--Starfall
	"^16914",--Hurricane
	"^88747",--Wild Mushroom
	"^88751",--Wild Mushroom: Detonate
	"^102794",--Ursol's Vortex
	"^112071",--Celestial Alignment
	"^127757",--Charm Woodland Creature	
	XBAR_SNOWRAP,
	"^5229",--Enrage
	"^106922",--Might of Ursoc
	"^77761",--Stampeding Roar
	"^61336",--Survival Instincts
	"^22842",--Frenzied Regeneration
	"^5217",--Tiger's Fury
	XBAR_SNOWRAP,
	"^33891",--Tree of Life
	"^132158",--Nature's Swiftness
	"^102359",--Mass Entanglement
	"^106737",--Force of Nature
	"^106731",--Incarnation
	"^108288",--Heart of the Wild
	"^124974",--Nature's Vigil
-- Hunter Buffs
	"#HUNTER",
	"^51753",--Camouflage
	"^23989",--Readiness
	"^5384",--Feign Death
	"^19263",--Deterrence
	"^82726",--Fervor
	"^109304",--Exhilaration
	XBAR_SNOWRAP,
	"^3045",--Rapid Fire
	"^120360",--Barrage
	"^34477",--Misdirection
	"^82654",--Widow Venom
	"^19801",--Tranquilizing Shot
	"^20736",--Distracting Shot
	"^109259",--Powershot
	"^117050",--Glaive Toss
	XBAR_SNOWRAP,
	"^19386",--Wyvern Sting
	"^34490",--Silencing Shot
	"^109248",--Binding Shot
	XBAR_SNOWRAP,
	"^127933",--Fireworks
-- Mage Buffs
	"#MAGE",
	"^130",--Slow Fall
	"^1459",--Arcane Brilliance
	"^61316",--Dalaran Brilliance
	"^12051",--Evocation
	"^45438",--Ice Block
	XBAR_SNOWRAP,
	"^7302",--Ice Armor
	"^6117",--Mage Armor
	"^30482",--Molten Armor
	XBAR_SNOWRAP,
	"^66",--Invisibility
	"^12042",--Arcane Power
	"^31687",--Summon Water Elemental
	"^55342",--Mirror Image
	"^2139",--Counterspell
	"^30449",--Spellsteal
	"^475",--Remove Curse
	"^108978",--Alter Time
	"^80353",--Time Warp
	XBAR_SNOWRAP,
	"^108839",--Ice Floes
	"^12043",--Presence of Mind
	"^11426",--Ice Barrier
	"^115610",--Temporal Shield
	"^111264",--Ice Ward
	"^102051",--Frostjaw
	"^113724",--Ring of Frost
	"^11958",--Cold Snap
	"^1463",--Incanter's Ward
	"^116011",--Rune of Power
	XBAR_SNOWRAP,
	"^126578",--Conjure Familiar
	"^131784",--Illusion
	"^42955",--Conjure Refreshment
	"^43987",--Conjure Refreshment Table
	"^759",--Conjure Mana Gem	
-- Pally buffs
	"#PALADIN",
	"^1022",--Hand of Protection
	"^1044",--Hand of Freedom
    "^6940",--Hand of Sacrifice
	"^1038",--Hand of Salvation
	XBAR_SNOWRAP,
	"^62124",--Hand of Reckoning
	"^19740",--Blessing of Might
	"^20217",--Blessing of Kings
	"^20066",--Repentance
	"^25780",--Righteous Fury
	XBAR_SNOWRAP,
	"^31884",--Avenging Wrath
	"^31850",--Ardent Defender
	"^20925",--Sacred Shield
	"^86669",--Guardian of Ancient Kings
--	"^86698",--Guardian of Ancient Kings
--	"^86659",--Guardian of Ancient Kings
	"^498",--Divine Protection
	"^31821",--Aura Mastery
	"^54428",--Divine Plea
	"^4987",--Cleanse
	"^642",--Divine Shield
-- Priest Buffs
	"#PRIEST",
	"^1706",--Levitate
	"^15473",--Shadowform
	"^15286",--Vampiric Embrace
	"^588",--Inner Fire
	"^73413",--Inner Will
	"^89485",--Inner Focus
	"^21562",--Power Word: Fortitude
	"^17",--Power Word: Shield
	"^64901",--Hymn of Hope
	"^34433",--Shadowfiend
	"^123040",--Mindbender
	"^6346",--Fear Ward
	"^8122",--Psychic Scream
	"^586",--Fade
	"^10060",--Power Infusion
	"^33206",--Pain Suppression
	"^47585",--Dispersion
	"^47788",--Guardian Spirit
	"^81700",--Archangel
	"^81209",--Chakra: Chastise
	"^81206",--Chakra: Sanctuary
	"^81208",--Chakra: Serenity
	"^2006",--Resurrection
	"^528",--Dispel Magic
	"^32375",--Mass Dispel
	"^9484",--Shackle Undead
	"^2096",--Mind Vision
	"^605",--Dominate Mind
	"^73325",--Leap of Faith
	"^108968",--Void Shift
	"^126123",--Confession
	"^108921",--Psyfiend
	"^108920",--Void Tendrils
	"^121536",--Angelic Feather
	"^112833",--Spectral Guise
-- Rogue Buffs
-- Shaman buffs
	"#SHAMAN",
	"^556",--Astral Recall
	XBAR_SNOWRAP,
	"^8017",--Rockbiter Weapon
	"^8024",--Flametongue Weapon
	"^8033",--Frostbrand Weapon
	"^8232",--Windfury Weapon
	"^51730",--Earthliving Weapon
	XBAR_SNOWRAP,
	"^324",--Lightning Shield
	"^974",--Earth Shield
	"^52127",--Water Shield
	XBAR_SNOWRAP,
	"^79206",--Spiritwalker's Grace
	"^546",--Water Walking
	XBAR_SNOWRAP,
	"^2825",--Bloodlust
	"^32182",--Heroism
	XBAR_SNOWRAP,
	"^2645",--Ghost Wolf
	"^114049",--Ascendance
	XBAR_SNOWRAP,
	"^370",--Purge
	"^51886",--Cleanse Spirit
	"^2008",--Ancestral Spirit
	"^108281",--Ancestral Guidance
	"^76780",--Bind Elemental
	"^51514",--Hex
-- Warlock Buffs
	"#WARLOCK",
	"^108415",--Soul Link
	"^6229",--Shadow Ward
	"^5697",--Unending Breath
	"^109773",--Dark Intent
-- Warrior Buffs
	"#WARRIOR",
	"^6673",--Battle Shout
	"^1160",--Demoralizing Shout
	"^5246",--Intimidating Shout
	"^469",--Commanding Shout
	"^102060",--Disrupting Shout
	"^107566",--Staggering Shout
	"^12323",--Piercing Howl
	"^118000",--Dragon Roar
	XBAR_SNOWRAP,
	"^23920",--Spell Reflection
	"^114028",--Mass Spell Reflection
	"^85730",--Deadly Calm
	"^18499",--Berserker Rage
	XBAR_SNOWRAP,
	"^871",--Shield Wall
	"^12975",--Last Stand
	"^55694",--Enraged Regeneration
	"^97462",--Rallying Cry
	"^3411",--Intervene
	"^114029",--Safeguard
	XBAR_SNOWRAP,
	"^50622",--Bladestorm
	"^107574",--Avatar
	"^1719",--Recklessness
	"^12292",--Bloodbath
	"^12328",--Sweeping Strikes
	"^114030",--Vigilance
	XBAR_SNOWRAP,
	"^114203",--Demoralizing Banner
	"^114207",--Skull Banner
	"^114192",--Mocking Banner
-- Monk Buffs
	"#MONK",
	"^115921",--Legacy of the Emperor
	"^116781",--Legacy of the White Tiger
	XBAR_SNOWRAP,
	"^115203",--Fortifying Brew
	"^115288",--Energizing Brew
	"^115399",--Chi Brew
	"^116740",--Tigereye Brew
	XBAR_SNOWRAP,
	"^115176",--Zen Meditation
	XBAR_SNOWRAP,
	"^122470",--Touch of Karma
	"^115080",--Touch of Death
	XBAR_SNOWRAP,
	"^116095",--Disable 
	"^116705",--Spear Hand Strike
	"^115078",--Paralysis
	"^107079",--Quaking Palm
	"^117368",--Grapple Weapon
	XBAR_SNOWRAP,
	"^101643",--Transcendence
	"^119996",--Transcendence: Transfer
	"^126892",--Zen Pilgrimage
	"^116841",--Tiger's Lust
	"^119392",--Charging Ox Wave
	"^119381",--Leg Sweep
	"^122278",--Dampen Harm
	"^122783",--Diffuse Magic
	"^123904",--Invoke Xuen, the White Tiger
	XBAR_SNOWRAP,
	"^115072",--Expel Harm
	"^115450",--Detox
	"^115178",--Resuscitate
};

-- Maximum bar size will be auto-calculated in the main section

XBarCore.Localize(XBuffBarSpells);

XBAR_HELP_CONTEXT_XBuffBar = XBarHelpGUI.ContextHeader("XBuffBar").."Spells are organized by class, check a spell to show or uncheck to hide it."

local i,v,p,s;

-- Auto-translate the class headers
for i,v in pairs(XBuffBarSpells) do
	if strsub(XBuffBarSpells[i],1,1)=="#" then
		s="";
		p=strfind(XBuffBarSpells[i],"-",2,true);
		if (p==nil) then
			p=strlen(XBuffBarSpells[i]);
		else
			s=strsub(XBuffBarSpells[i],p);
			p=p-1;
		end
		XBuffBarSpells[i]="#"..tostring(LOCALIZED_CLASS_NAMES_MALE[strsub(XBuffBarSpells[i],2,p)])..s;
	end
end
